<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelNavMeshParams Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelNavMeshParams Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelNavMeshParams" --><!-- doxytag: inherits="iBase" -->
<p>Wrapper for the parameters used to build the navigation mesh.  
 <a href="structiCelNavMeshParams.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celnavmesh_8h_source.html">tools/celnavmesh.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelNavMeshParams:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelNavMeshParams.png" usemap="#iCelNavMeshParams_map" alt=""/>
  <map id="iCelNavMeshParams_map" name="iCelNavMeshParams_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,130,24"/>
</map>
 </div></div>

<p><a href="structiCelNavMeshParams-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a1af68f28bdf28f20ebdaee3ae3191a98">Clone</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new object with the same instance variable's values as this one's.  <a href="#a1af68f28bdf28f20ebdaee3ae3191a98"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a754b3c5b4cf5b821ace947cb96d81cf1">GetAgentHeight</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get agent height.  <a href="#a754b3c5b4cf5b821ace947cb96d81cf1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a4fd16c304963b49af28b7ee00cd2dc8d">GetAgentMaxClimb</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get agent max climb.  <a href="#a4fd16c304963b49af28b7ee00cd2dc8d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a83fcac9a4b4c814c018ba372bda2c6d2">GetAgentMaxSlopeAngle</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get agent maximum walkable slope angle (in degrees)  <a href="#a83fcac9a4b4c814c018ba372bda2c6d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#ad9f2a84c17b3a6854fe56c7f9eb9c1c2">GetAgentRadius</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get agent radius.  <a href="#ad9f2a84c17b3a6854fe56c7f9eb9c1c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a96f47b09ac865b319d4662f7f37c6a4d">GetBorderSize</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get border size.  <a href="#a96f47b09ac865b319d4662f7f37c6a4d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#aa2f52b19396d8ed0fe3aa79559b5b0bd">GetCellHeight</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get cell height.  <a href="#aa2f52b19396d8ed0fe3aa79559b5b0bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#acc591491bb34e79c6662517ad5ed7fff">GetCellSize</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get cell size.  <a href="#acc591491bb34e79c6662517ad5ed7fff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a31060ad9b8027c144397384d3a73de57">GetDetailSampleDist</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get detail mesh sample spacing.  <a href="#a31060ad9b8027c144397384d3a73de57"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a51dbf24fba9dee5ed0005fbbcb318d27">GetDetailSampleMaxError</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get detail mesh simplification max sample error.  <a href="#a51dbf24fba9dee5ed0005fbbcb318d27"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a37ff88785e6c94921da505895ef8b1c5">GetMaxEdgeLength</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get maximum contour edge length.  <a href="#a37ff88785e6c94921da505895ef8b1c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a2e1cfdad666c5915343ae13e5bafd60a">GetMaxSimplificationError</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get maximum distance error from contour to cells.  <a href="#a2e1cfdad666c5915343ae13e5bafd60a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#ab0dd269061d2300d35274d4c768d0988">GetMaxVertsPerPoly</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get max number of vertices per polygon.  <a href="#ab0dd269061d2300d35274d4c768d0988"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a25314901847a3a0bdb091fc2f7fc95e9">GetMergeRegionSize</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get minimum regions size (smaller regions will be merged)  <a href="#a25314901847a3a0bdb091fc2f7fc95e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a4f5a40cb600152a3c6ee28f18c8ff4ae">GetMinRegionSize</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get minimum regions size (smaller regions will be deleted)  <a href="#a4f5a40cb600152a3c6ee28f18c8ff4ae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#ad1e10d09eea2d168ff449365b9143ed1">GetPolygonSearchBox</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the size of the polygon search bounding box.  <a href="#ad1e10d09eea2d168ff449365b9143ed1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#ac00cec6af382156186c7f2a9faf16be4">GetTileSize</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get tile size (Width and Height of a tile)  <a href="#ac00cec6af382156186c7f2a9faf16be4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a4b83ae584a09bb211acac0ea86dbd2a8">SetAgentHeight</a> (const float height)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set agent height.  <a href="#a4b83ae584a09bb211acac0ea86dbd2a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a541e7dd6d56a8e9412d6e838ade73f59">SetAgentMaxClimb</a> (const float maxClimb)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set agent max climb.  <a href="#a541e7dd6d56a8e9412d6e838ade73f59"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#aea35d38a8e35a9eb5c3fc975ab93a968">SetAgentMaxSlopeAngle</a> (const float angle)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set agent maximum walkable slope angle (in degrees)  <a href="#aea35d38a8e35a9eb5c3fc975ab93a968"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#ad8696024185f4df95ed91851a1711e0d">SetAgentRadius</a> (const float radius)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set agent radius.  <a href="#ad8696024185f4df95ed91851a1711e0d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a19ca44dbc16ed12f8a8254d6e8ca3a02">SetBorderSize</a> (const int size)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set border size.  <a href="#a19ca44dbc16ed12f8a8254d6e8ca3a02"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a22d8b5b14e2d5043571e473bcae26ee8">SetCellHeight</a> (const float height)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set cell height.  <a href="#a22d8b5b14e2d5043571e473bcae26ee8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a947751a88f4c0d7567b8f2ae76f59186">SetCellSize</a> (const float size)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set cell size.  <a href="#a947751a88f4c0d7567b8f2ae76f59186"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a85358c599aac106cb155e9bf655cf55e">SetDetailSampleDist</a> (const float dist)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set detail mesh sample spacing.  <a href="#a85358c599aac106cb155e9bf655cf55e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a663d66c7c6e96ff7909e9d0be11a3111">SetDetailSampleMaxError</a> (const float error)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set detail mesh simplification max sample error.  <a href="#a663d66c7c6e96ff7909e9d0be11a3111"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a5d4facc510cc98b2dc0e03ab692fd306">SetMaxEdgeLength</a> (const int length)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set maximum contour edge length.  <a href="#a5d4facc510cc98b2dc0e03ab692fd306"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a959f0402ac290e42167f39564728d095">SetMaxSimplificationError</a> (const float error)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set maximum distance error from contour to cells.  <a href="#a959f0402ac290e42167f39564728d095"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a0f5932ad942d76fed8454b7afd55bc79">SetMaxVertsPerPoly</a> (const int maxVerts)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set max number of vertices per polygon.  <a href="#a0f5932ad942d76fed8454b7afd55bc79"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#abb0814b3b81b66127b0ec358c7149d67">SetMergeRegionSize</a> (const int size)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set minimum regions size (smaller regions will be merged)  <a href="#abb0814b3b81b66127b0ec358c7149d67"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#acb7e333d31b6e7912f7708fa7b5373c6">SetMinRegionSize</a> (const int size)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set minimum regions size (smaller regions will be deleted)  <a href="#acb7e333d31b6e7912f7708fa7b5373c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a98a6caf18da8fc1cebd9d72416c40c60">SetPolygonSearchBox</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> box)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the size of the polygon search bounding box.  <a href="#a98a6caf18da8fc1cebd9d72416c40c60"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a58010a9365c205fe3e3779f6574c7878">SetSuggestedValues</a> (float agentHeight, float agentRadius, float agentMaxSlopeAngle)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set suggested values, given the agent parameters values.  <a href="#a58010a9365c205fe3e3779f6574c7878"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshParams.html#a6766e98c8e47e14a5c7a6be684cbd3b9">SetTileSize</a> (const int size)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set tile size (Width and Height of a tile)  <a href="#a6766e98c8e47e14a5c7a6be684cbd3b9"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Wrapper for the parameters used to build the navigation mesh. </p>

<p>Definition at line <a class="el" href="celnavmesh_8h_source.html#l00039">39</a> of file <a class="el" href="celnavmesh_8h_source.html">celnavmesh.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a1af68f28bdf28f20ebdaee3ae3191a98"></a><!-- doxytag: member="iCelNavMeshParams::Clone" ref="a1af68f28bdf28f20ebdaee3ae3191a98" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a>* <a class="el" href="structiCelNavMeshParams.html#a1af68f28bdf28f20ebdaee3ae3191a98">iCelNavMeshParams::Clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new object with the same instance variable's values as this one's. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Don't assign the returned value directly to a smart pointer. Use the AttachNew() method instead. </dd></dl>

</div>
</div>
<a class="anchor" id="a754b3c5b4cf5b821ace947cb96d81cf1"></a><!-- doxytag: member="iCelNavMeshParams::GetAgentHeight" ref="a754b3c5b4cf5b821ace947cb96d81cf1" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshParams.html#a754b3c5b4cf5b821ace947cb96d81cf1">iCelNavMeshParams::GetAgentHeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get agent height. </p>

</div>
</div>
<a class="anchor" id="a4fd16c304963b49af28b7ee00cd2dc8d"></a><!-- doxytag: member="iCelNavMeshParams::GetAgentMaxClimb" ref="a4fd16c304963b49af28b7ee00cd2dc8d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshParams.html#a4fd16c304963b49af28b7ee00cd2dc8d">iCelNavMeshParams::GetAgentMaxClimb</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get agent max climb. </p>

</div>
</div>
<a class="anchor" id="a83fcac9a4b4c814c018ba372bda2c6d2"></a><!-- doxytag: member="iCelNavMeshParams::GetAgentMaxSlopeAngle" ref="a83fcac9a4b4c814c018ba372bda2c6d2" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshParams.html#a83fcac9a4b4c814c018ba372bda2c6d2">iCelNavMeshParams::GetAgentMaxSlopeAngle</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get agent maximum walkable slope angle (in degrees) </p>

</div>
</div>
<a class="anchor" id="ad9f2a84c17b3a6854fe56c7f9eb9c1c2"></a><!-- doxytag: member="iCelNavMeshParams::GetAgentRadius" ref="ad9f2a84c17b3a6854fe56c7f9eb9c1c2" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshParams.html#ad9f2a84c17b3a6854fe56c7f9eb9c1c2">iCelNavMeshParams::GetAgentRadius</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get agent radius. </p>

</div>
</div>
<a class="anchor" id="a96f47b09ac865b319d4662f7f37c6a4d"></a><!-- doxytag: member="iCelNavMeshParams::GetBorderSize" ref="a96f47b09ac865b319d4662f7f37c6a4d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelNavMeshParams.html#a96f47b09ac865b319d4662f7f37c6a4d">iCelNavMeshParams::GetBorderSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get border size. </p>

</div>
</div>
<a class="anchor" id="aa2f52b19396d8ed0fe3aa79559b5b0bd"></a><!-- doxytag: member="iCelNavMeshParams::GetCellHeight" ref="aa2f52b19396d8ed0fe3aa79559b5b0bd" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshParams.html#aa2f52b19396d8ed0fe3aa79559b5b0bd">iCelNavMeshParams::GetCellHeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get cell height. </p>

</div>
</div>
<a class="anchor" id="acc591491bb34e79c6662517ad5ed7fff"></a><!-- doxytag: member="iCelNavMeshParams::GetCellSize" ref="acc591491bb34e79c6662517ad5ed7fff" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshParams.html#acc591491bb34e79c6662517ad5ed7fff">iCelNavMeshParams::GetCellSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get cell size. </p>

</div>
</div>
<a class="anchor" id="a31060ad9b8027c144397384d3a73de57"></a><!-- doxytag: member="iCelNavMeshParams::GetDetailSampleDist" ref="a31060ad9b8027c144397384d3a73de57" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshParams.html#a31060ad9b8027c144397384d3a73de57">iCelNavMeshParams::GetDetailSampleDist</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get detail mesh sample spacing. </p>

</div>
</div>
<a class="anchor" id="a51dbf24fba9dee5ed0005fbbcb318d27"></a><!-- doxytag: member="iCelNavMeshParams::GetDetailSampleMaxError" ref="a51dbf24fba9dee5ed0005fbbcb318d27" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshParams.html#a51dbf24fba9dee5ed0005fbbcb318d27">iCelNavMeshParams::GetDetailSampleMaxError</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get detail mesh simplification max sample error. </p>

</div>
</div>
<a class="anchor" id="a37ff88785e6c94921da505895ef8b1c5"></a><!-- doxytag: member="iCelNavMeshParams::GetMaxEdgeLength" ref="a37ff88785e6c94921da505895ef8b1c5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelNavMeshParams.html#a37ff88785e6c94921da505895ef8b1c5">iCelNavMeshParams::GetMaxEdgeLength</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get maximum contour edge length. </p>

</div>
</div>
<a class="anchor" id="a2e1cfdad666c5915343ae13e5bafd60a"></a><!-- doxytag: member="iCelNavMeshParams::GetMaxSimplificationError" ref="a2e1cfdad666c5915343ae13e5bafd60a" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshParams.html#a2e1cfdad666c5915343ae13e5bafd60a">iCelNavMeshParams::GetMaxSimplificationError</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get maximum distance error from contour to cells. </p>

</div>
</div>
<a class="anchor" id="ab0dd269061d2300d35274d4c768d0988"></a><!-- doxytag: member="iCelNavMeshParams::GetMaxVertsPerPoly" ref="ab0dd269061d2300d35274d4c768d0988" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelNavMeshParams.html#ab0dd269061d2300d35274d4c768d0988">iCelNavMeshParams::GetMaxVertsPerPoly</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get max number of vertices per polygon. </p>

</div>
</div>
<a class="anchor" id="a25314901847a3a0bdb091fc2f7fc95e9"></a><!-- doxytag: member="iCelNavMeshParams::GetMergeRegionSize" ref="a25314901847a3a0bdb091fc2f7fc95e9" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelNavMeshParams.html#a25314901847a3a0bdb091fc2f7fc95e9">iCelNavMeshParams::GetMergeRegionSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get minimum regions size (smaller regions will be merged) </p>

</div>
</div>
<a class="anchor" id="a4f5a40cb600152a3c6ee28f18c8ff4ae"></a><!-- doxytag: member="iCelNavMeshParams::GetMinRegionSize" ref="a4f5a40cb600152a3c6ee28f18c8ff4ae" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelNavMeshParams.html#a4f5a40cb600152a3c6ee28f18c8ff4ae">iCelNavMeshParams::GetMinRegionSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get minimum regions size (smaller regions will be deleted) </p>

</div>
</div>
<a class="anchor" id="ad1e10d09eea2d168ff449365b9143ed1"></a><!-- doxytag: member="iCelNavMeshParams::GetPolygonSearchBox" ref="ad1e10d09eea2d168ff449365b9143ed1" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiCelNavMeshParams.html#ad1e10d09eea2d168ff449365b9143ed1">iCelNavMeshParams::GetPolygonSearchBox</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the size of the polygon search bounding box. </p>

</div>
</div>
<a class="anchor" id="ac00cec6af382156186c7f2a9faf16be4"></a><!-- doxytag: member="iCelNavMeshParams::GetTileSize" ref="ac00cec6af382156186c7f2a9faf16be4" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelNavMeshParams.html#ac00cec6af382156186c7f2a9faf16be4">iCelNavMeshParams::GetTileSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get tile size (Width and Height of a tile) </p>

</div>
</div>
<a class="anchor" id="a4b83ae584a09bb211acac0ea86dbd2a8"></a><!-- doxytag: member="iCelNavMeshParams::SetAgentHeight" ref="a4b83ae584a09bb211acac0ea86dbd2a8" args="(const float height)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a4b83ae584a09bb211acac0ea86dbd2a8">iCelNavMeshParams::SetAgentHeight</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>height</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set agent height. </p>

</div>
</div>
<a class="anchor" id="a541e7dd6d56a8e9412d6e838ade73f59"></a><!-- doxytag: member="iCelNavMeshParams::SetAgentMaxClimb" ref="a541e7dd6d56a8e9412d6e838ade73f59" args="(const float maxClimb)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a541e7dd6d56a8e9412d6e838ade73f59">iCelNavMeshParams::SetAgentMaxClimb</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>maxClimb</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set agent max climb. </p>

</div>
</div>
<a class="anchor" id="aea35d38a8e35a9eb5c3fc975ab93a968"></a><!-- doxytag: member="iCelNavMeshParams::SetAgentMaxSlopeAngle" ref="aea35d38a8e35a9eb5c3fc975ab93a968" args="(const float angle)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#aea35d38a8e35a9eb5c3fc975ab93a968">iCelNavMeshParams::SetAgentMaxSlopeAngle</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set agent maximum walkable slope angle (in degrees) </p>

</div>
</div>
<a class="anchor" id="ad8696024185f4df95ed91851a1711e0d"></a><!-- doxytag: member="iCelNavMeshParams::SetAgentRadius" ref="ad8696024185f4df95ed91851a1711e0d" args="(const float radius)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#ad8696024185f4df95ed91851a1711e0d">iCelNavMeshParams::SetAgentRadius</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>radius</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set agent radius. </p>

</div>
</div>
<a class="anchor" id="a19ca44dbc16ed12f8a8254d6e8ca3a02"></a><!-- doxytag: member="iCelNavMeshParams::SetBorderSize" ref="a19ca44dbc16ed12f8a8254d6e8ca3a02" args="(const int size)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a19ca44dbc16ed12f8a8254d6e8ca3a02">iCelNavMeshParams::SetBorderSize</a> </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set border size. </p>

</div>
</div>
<a class="anchor" id="a22d8b5b14e2d5043571e473bcae26ee8"></a><!-- doxytag: member="iCelNavMeshParams::SetCellHeight" ref="a22d8b5b14e2d5043571e473bcae26ee8" args="(const float height)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a22d8b5b14e2d5043571e473bcae26ee8">iCelNavMeshParams::SetCellHeight</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>height</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set cell height. </p>

</div>
</div>
<a class="anchor" id="a947751a88f4c0d7567b8f2ae76f59186"></a><!-- doxytag: member="iCelNavMeshParams::SetCellSize" ref="a947751a88f4c0d7567b8f2ae76f59186" args="(const float size)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a947751a88f4c0d7567b8f2ae76f59186">iCelNavMeshParams::SetCellSize</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set cell size. </p>

</div>
</div>
<a class="anchor" id="a85358c599aac106cb155e9bf655cf55e"></a><!-- doxytag: member="iCelNavMeshParams::SetDetailSampleDist" ref="a85358c599aac106cb155e9bf655cf55e" args="(const float dist)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a85358c599aac106cb155e9bf655cf55e">iCelNavMeshParams::SetDetailSampleDist</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>dist</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set detail mesh sample spacing. </p>

</div>
</div>
<a class="anchor" id="a663d66c7c6e96ff7909e9d0be11a3111"></a><!-- doxytag: member="iCelNavMeshParams::SetDetailSampleMaxError" ref="a663d66c7c6e96ff7909e9d0be11a3111" args="(const float error)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a663d66c7c6e96ff7909e9d0be11a3111">iCelNavMeshParams::SetDetailSampleMaxError</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set detail mesh simplification max sample error. </p>

</div>
</div>
<a class="anchor" id="a5d4facc510cc98b2dc0e03ab692fd306"></a><!-- doxytag: member="iCelNavMeshParams::SetMaxEdgeLength" ref="a5d4facc510cc98b2dc0e03ab692fd306" args="(const int length)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a5d4facc510cc98b2dc0e03ab692fd306">iCelNavMeshParams::SetMaxEdgeLength</a> </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>length</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set maximum contour edge length. </p>

</div>
</div>
<a class="anchor" id="a959f0402ac290e42167f39564728d095"></a><!-- doxytag: member="iCelNavMeshParams::SetMaxSimplificationError" ref="a959f0402ac290e42167f39564728d095" args="(const float error)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a959f0402ac290e42167f39564728d095">iCelNavMeshParams::SetMaxSimplificationError</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set maximum distance error from contour to cells. </p>

</div>
</div>
<a class="anchor" id="a0f5932ad942d76fed8454b7afd55bc79"></a><!-- doxytag: member="iCelNavMeshParams::SetMaxVertsPerPoly" ref="a0f5932ad942d76fed8454b7afd55bc79" args="(const int maxVerts)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a0f5932ad942d76fed8454b7afd55bc79">iCelNavMeshParams::SetMaxVertsPerPoly</a> </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>maxVerts</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set max number of vertices per polygon. </p>

</div>
</div>
<a class="anchor" id="abb0814b3b81b66127b0ec358c7149d67"></a><!-- doxytag: member="iCelNavMeshParams::SetMergeRegionSize" ref="abb0814b3b81b66127b0ec358c7149d67" args="(const int size)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#abb0814b3b81b66127b0ec358c7149d67">iCelNavMeshParams::SetMergeRegionSize</a> </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set minimum regions size (smaller regions will be merged) </p>

</div>
</div>
<a class="anchor" id="acb7e333d31b6e7912f7708fa7b5373c6"></a><!-- doxytag: member="iCelNavMeshParams::SetMinRegionSize" ref="acb7e333d31b6e7912f7708fa7b5373c6" args="(const int size)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#acb7e333d31b6e7912f7708fa7b5373c6">iCelNavMeshParams::SetMinRegionSize</a> </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set minimum regions size (smaller regions will be deleted) </p>

</div>
</div>
<a class="anchor" id="a98a6caf18da8fc1cebd9d72416c40c60"></a><!-- doxytag: member="iCelNavMeshParams::SetPolygonSearchBox" ref="a98a6caf18da8fc1cebd9d72416c40c60" args="(const csVector3 box)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a98a6caf18da8fc1cebd9d72416c40c60">iCelNavMeshParams::SetPolygonSearchBox</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td>
          <td class="paramname"><em>box</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the size of the polygon search bounding box. </p>

</div>
</div>
<a class="anchor" id="a58010a9365c205fe3e3779f6574c7878"></a><!-- doxytag: member="iCelNavMeshParams::SetSuggestedValues" ref="a58010a9365c205fe3e3779f6574c7878" args="(float agentHeight, float agentRadius, float agentMaxSlopeAngle)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a58010a9365c205fe3e3779f6574c7878">iCelNavMeshParams::SetSuggestedValues</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>agentHeight</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>agentRadius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>agentMaxSlopeAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set suggested values, given the agent parameters values. </p>

</div>
</div>
<a class="anchor" id="a6766e98c8e47e14a5c7a6be684cbd3b9"></a><!-- doxytag: member="iCelNavMeshParams::SetTileSize" ref="a6766e98c8e47e14a5c7a6be684cbd3b9" args="(const int size)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshParams.html#a6766e98c8e47e14a5c7a6be684cbd3b9">iCelNavMeshParams::SetTileSize</a> </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set tile size (Width and Height of a tile) </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="celnavmesh_8h_source.html">celnavmesh.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
